%define anolis_release 2

Summary:        Dynamic Kernel Module Support Framework
Name:           dkms
Version:        3.0.11
Release:        %{anolis_release}%{?dist}
License:        GPLv2+
URL:            http://linux.dell.com/dkms

BuildArch:      noarch

Source0:        https://github.com/dell/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  systemd

Requires:       coreutils
Requires:       cpio
Requires:       elfutils-libelf-devel
Requires:       file
Requires:       findutils
Requires:       gawk
Requires:       gcc
Requires:       grep
Requires:       gzip
Requires:       kmod
Requires:       make
Requires:       sed
Requires:       tar
Requires:       which

Requires:       (kernel-debug-devel if kernel-debug-core)
Requires:       (kernel-devel if kernel-core)

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

Recommends:     openssl

%description
This package contains the framework for the Dynamic Kernel Module Support (DKMS)
method for installing module RPMS as originally developed by Dell.

%package doc
Summary: Doc files for dkms
Requires: dkms = %{EVR}

%description doc
Doc files for dkms

%prep
%autosetup -p1

%install
make install-redhat \
    DESTDIR=%{buildroot} \
    LIBDIR=%{buildroot}%{_prefix}/lib/%{name} \
    SYSTEMD=%{buildroot}%{_unitdir}

install -p -m 755 -D kernel_install.d_dkms \
    %{buildroot}%{_prefix}/lib/kernel/install.d/40-%{name}.install

sed -i -e 's/# modprobe_on_install="true"/modprobe_on_install="true"/g' %{buildroot}%{_sysconfdir}/%{name}/framework.conf

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%license COPYING
%{_prefix}/lib/%{name}
%{_prefix}/lib/kernel/install.d/40-%{name}.install
%{_mandir}/man8/dkms.8*
%{_sbindir}/%{name}
%{_sharedstatedir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/framework.conf
%dir %{_sysconfdir}/%{name}/framework.conf.d
%{_sysconfdir}/kernel/install.d/%{name}
%{_sysconfdir}/kernel/postinst.d/%{name}
%{_sysconfdir}/kernel/prerm.d/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_unitdir}/%{name}.service

%files doc
%doc README.md images

%changelog
* Thu Dec 14 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.0.11-2
- rebuild

* Wed Jun 28 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.0.11-1
- init from upstream
